MantisBT

View Issue Details Jump to Notes ] Wiki ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007945mantisbttime trackingpublic2007-05-09 08:592013-02-09 07:23
Reporterjci000 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusnewResolutionopen 
PlatformOSOS Version
Product Version1.1.0a3 
Target VersionFixed in Version 
Summary0007945: Time tracking vs. time planning
DescriptionWith the release of Mantis 1.1.0a3 time tracking is possible, and it looks great. But wouldn't it be nice to take it to the next level and make planning possible ?

To make estimates and track progress on projects fields like 'initial estimate' and 'remaning time' is needed.

The billing page could generate reports for all fields or a new tracking page could be made, and the 'add note' could have a field for remaning time next to time tracking.
Additional InformationAnother cool feature would be reports based on the roadmap and changelog versions where remaining and used time was calculated.

Or what about an automatic forecast for release date based on the used time during the last couple of weeks just like ScrumWorks.

I've used Mantis since version 0.19 and is using Subversion integration as well. If something like this was implemented I wouldn't need any other tool.
Tagsproject_management
Attached Filesjpg file icon mantis-planning-plugin-oreview.jpg [^] (148,309 bytes) 2012-01-06 08:45
? file icon Final for testing v2.xlsm [^] (55,078 bytes) 2012-06-04 18:46

- Relationships
related to 0004428closeddavidnewcomb Time Tracking 
related to 0009581feedback Advanced time tracking 

-  Notes
User avatar (0014518)
jci000 (reporter)
2007-05-14 06:18

If this is made as 'initial estimate', 'remaining time', 'spent time', 'diff. time' with reports based on version and/or project like:

  http://www.atlassian.com/software/jira/docs/v2.5.3/timetracking_report.html [^]

and a possibility to track the development like ScrumWorks with forecast, we will sponsor this, when a release is made with this functionality.

So how much does it take ?
User avatar (0014519)
sirshurf (reporter)
2007-05-14 06:37

That is something I am looking right now, and I am going probably to work on it since I need it myself...

But I think that the only field needed is "Initial Estimate" and "Aditional Time" (and who made the change).

The rest are most probably just a reports ??? Any Ideas?
User avatar (0014520)
onad (reporter)
2007-05-14 08:08

All good ideas, but please remember Mantis is a defect tracker. You could opt to couple it to Dotproject ( www.dotproject.net ) see http://www.dotproject.net/vbulletin/showthread.php?t=4614 [^] ) from of experience I know one wants more and more project planning in a defect tracker, up to the level the defectracker does not satisfy anymore. IMHO We better impove dotproject mantis integration.
User avatar (0014525)
sirshurf (reporter)
2007-05-14 08:54

That part is a Dotproject.... and if to couple it to some Project Managemnent I would go for PHProjekt which is better for my taste...

But any other Ideas?
User avatar (0014528)
jci000 (reporter)
2007-05-14 11:10

It's properly right that many people would want more and more project features in Mantis, but why is this a bad thing ?

We are using Mantis with Subversion integration and just needs a little more, but if that means Mantis integration into a project tool like dotProject why even use Mantis. You could make a dotProject/Subversion integration instead.
User avatar (0014529)
sirshurf (reporter)
2007-05-14 11:39

Ok, Since we have a disscution here, I defenetly think that I will start looking into that maybe today
User avatar (0014530)
sirshurf (reporter)
2007-05-14 11:50

Post here any Ideas you think will benefit such an add-on
User avatar (0014537)
jci000 (reporter)
2007-05-15 05:39

The 'Trac Project' has a Time Tracking plugin, maybe that could be a good starting point.

  http://trac.edgewall.org/wiki/TimeTracking [^]

But a Mantis 'built-in' solution would be better than a plugin.
User avatar (0014565)
jci000 (reporter)
2007-05-21 02:11

Sirshurf are you still here, and what about anyone else ?

One way to do this could be :

1) At the issue page add a section for 'Time Planning' with

Initial Estimate, Total Worked, Remaining, Difference + Update button

Difference = Initial - Total - Remaining, and remember the issue history

2) A report page with options for ignoring closed issues and sorting after target release, showing issue time data and sum's for each release/project

3) A report page with a graph showing project time data vertically and real time horisontally for every week
User avatar (0014566)
sirshurf (reporter)
2007-05-21 02:21

I am always here... My PC crashed a few days ago, so I am only from work, and dont have here time to some work about it...

I have started creating it allmost exactly as you have wrote it jci000, thought I am more thinking about using a more generale approach:
Initial (who, when, how much).
Added (who, when, how much)
Used (Taken from the current interface???, who?)
As a report on the page will be: Remaining

And a few report pages (In PDF, XML, CSV?)

Any ups and downs?
User avatar (0014567)
jci000 (reporter)
2007-05-21 03:09
edited on: 2007-05-21 05:37

Sirshurf if you want me to evaluate or try something just let me know.

If you make this as custom fields with specific names there would be a minimum to patch when it's applyed to Mantis as a add-on.

User avatar (0014580)
jci000 (reporter)
2007-05-21 16:18

Remaining is needed as a field not just in reports, in the case that you were wrong when the initial estimate was made and now realize that more time is needed.

As long as reports are shown in the browser, I don't think that anything but CSV is the needed.
User avatar (0014588)
jotango (reporter)
2007-05-22 05:25
edited on: 2007-05-22 05:25

I would love a burndown chart, with % of issues left on the y-axis and days on the x-axis.

Lets say we have a set of n issues assigned to a target release. As they are sequentially closed, the line goes from 100% to 0%. This requires the target release to have a target release date.

This is a very effective tool for managing development sprints in medium-sized teams.

P.S. I would be willing to sponsor this chart if I can get an estimate of the time required.

User avatar (0014603)
sirshurf (reporter)
2007-05-23 04:44

jci000

I have "added" instead of Remaining...

Remaining is just the time left... Added is the time added to a project After the initial Estimate...
User avatar (0014604)
sirshurf (reporter)
2007-05-23 04:45

Jotango

"This requires the target release to have a target release date."

Thats a little out of the way for the part I am planning... but I will look at it...

Maybe I will pull all Project Managment to a single Class???

I need to think about that...
User avatar (0014605)
jotango (reporter)
2007-05-23 05:04

I am currently reading a lot about Scrum project management techniques. If some people are interested, and it may possible find its way into Mantis (as a module?) I could right up a spec. Interested?
User avatar (0014606)
jci000 (reporter)
2007-05-23 05:17

Sirshurf

If you use 'added' instead of 'remaining' you must allow 'added' to be negative in the case that the initial estimate was to high.

You can use the issue with the 'last in time' ETA as target release date.

Jotango

I now about Scrum as well and we have started to us it. I think that what Sirshurf is making is enough to use Mantis as a Scrum tool for starters. If we don't keep this simple we'll newer get finished.
User avatar (0014612)
sirshurf (reporter)
2007-05-23 12:25

Well... since going throe the code, I found that the Time Tracking is not what I thought it was I made a lots of changes in it...

you can see what its right now at:
http://shurf.gotdns.com/mantis/ [^]

(give me your names after you resisted and I will give you higher access)

it looks like I underestimated the mantis code, (the code reminds me something I did about 4 years back).

When I finish with this addition I will be able to continue to the time planning, it will be easier since I will have my own class by then (I am creating it now...)
User avatar (0014615)
jci000 (reporter)
2007-05-23 15:15

I've joined your Mantis installation with the same user as here, please give me higher access.

When this becomes a success how can it become part of the Mantis platform ?
User avatar (0014618)
sirshurf (reporter)
2007-05-24 01:49

I will need to talk to Victor.... but as right now... only this change is a big one.... and it a mast...

So I dont really see any problems with that
User avatar (0014619)
jci000 (reporter)
2007-05-24 01:58
edited on: 2007-05-24 01:59

It looks very nice.

Issue 0007990 is actually about 'Total Time' and issue 0007952 is about a label for the time in the notes. So maybe what you have already done can be committed.

User avatar (0014620)
sirshurf (reporter)
2007-05-24 02:25

There are some user ability issues here I don't really like...

I don't know, I have created it as i was writing the code behind it, but I don't really think its the best way to show it...
User avatar (0014624)
jotango (reporter)
2007-05-24 05:01

I registered on your mantis (Jotango) but haven't received my password validation email...
User avatar (0014625)
sirshurf (reporter)
2007-05-24 05:04

it takes time...

Its a local old server (my dev server has crashed) using SMTP phpmailer to send it...

I will try and resend it...
User avatar (0014633)
sirshurf (reporter)
2007-05-25 03:11

Well, I need your input about the Time piece I made...

any Ideas to improve???
User avatar (0014634)
jotango (reporter)
2007-05-25 03:28

sorry still no mail
User avatar (0014635)
sirshurf (reporter)
2007-05-25 03:33

Check your spam filters...

It comes from the standard email "Mantis Bug Tracker" <noreply@example.com>

I will resend you again
User avatar (0014636)
jci000 (reporter)
2007-05-25 03:37

Sirshurf your time tracking look nice but I have the folowing comments :

1) Don't you thing that the 'Total Time' should be on a seperate block or in 'Add Note' under 'Time Tracking' instead of the last line in 'Note' ?

2) Could 'Total Time' be added to the 'Issue History' when time is added ?

3) If I press 'Get Time Tracking Information' for issue 2 in your test your name is in the list with 00:00 hours. Shouldn't it only be users with assigned work ?

4) Should the 'Time Tracking' list hold a total to ?
User avatar (0014637)
sirshurf (reporter)
2007-05-25 04:25

Lost you completely....

Contact me on ICQ: 79536239 or skype: sirshurf

Just say who you are so I will not ignore it....
User avatar (0014638)
jci000 (reporter)
2007-05-25 05:34

I've tried Skype but you don't answer.
User avatar (0014639)
sirshurf (reporter)
2007-05-25 05:42

hmmm.... nothing in skype history....
User avatar (0014764)
jci000 (reporter)
2007-06-14 12:59

sirshurf

How are things coming along ?

Are you still working on this, there isn't any new things on your mantis test page.
User avatar (0014813)
sirshurf (reporter)
2007-06-26 03:39

Sorry... My dev server has crached (Hardware problem) and I Had a problem with dynu.com that went out of bussines and killed 5 of my domains (still not working)...

I am promising a finished version of time spent with reports till the end of the week... time estimation will be with it! :))

Sorry!!!!!!!
User avatar (0014814)
jci000 (reporter)
2007-06-26 04:10

Hi Sirshurf,

Its nice to hear from you again, I was close to give up on this feature ;-)

Sorry about your problems, but I look forward to try your time tracking. Will it be on http://shurf.gotdns.com/mantis/ [^] or as a patch you upload ?
User avatar (0014885)
jci000 (reporter)
2007-07-06 06:12

I really need this solution now because when I return from 3 weeks of holiday I have to manage a new 1000+ hour project.

For me the perfect solution would be a release of Mantis 1.1.0a4 with this feature, and hopefully Sirshurf could benefit from my sponsorship.

Other arrangements would work as well, but please address this or set a price.
User avatar (0015602)
rasmusskjoldan (reporter)
2007-09-10 06:45

Did this die completely? I would like to sponsor it too if a developer's ready...
User avatar (0015604)
jci000 (reporter)
2007-09-10 15:05

At times it is very difficult to find out where Mantis is going. This is a feature that has been discussed a great deal in the forum over the years, but has never made it to Mantis core. I've been unable to get any developer interested and can't get hold of sirshurf, so yes it must have died :-(

I could still use the functionality, but have solved my immediate problem with a few custom fields and some Excel macros. This means that my demands for this functionality has increased for my full sponsorship, or I might lower the amount.
User avatar (0015799)
jci000 (reporter)
2007-10-03 09:01

No one seams to be interested in a feature like this, and I've got a solution working with some custom fields and an Excel sheet.

I still find that it should be a Mantis solution and would like to participate in a solution, but I can't have a hanging sponsorship.
User avatar (0015884)
Ryan100 (reporter)
2007-10-16 02:04

Is this still active -> I too would be very interested in generating burndown charts- or alternatively would love to know how to export the data into excel to generate them manually
User avatar (0020969)
hansj (reporter)
2009-03-02 04:33

Hi,
what will it take/cost to include the additional fields/function in 1.1.7 to enable these three fields:
http://www.mantisbt.org/bugs/file_download.php?file_id=740&type=bug [^]
(File is related to 4428)

It might be not to hard to implement this, but I would prefer to see this as a core function.

Is anyone workig on this?
User avatar (0026603)
squarebox (reporter)
2010-09-06 20:41

I'm also interested in this.
User avatar (0029395)
ilsaul (reporter)
2011-08-08 11:01

i'm interested in this thing. many person just talk abuot, but i want to tell my opinion.

1) one field more with time estimed.
2) the actual report of cost with new column with estimed / remaind or both.
3) a variable $g_estimed_??? for enable this

sorry if i repeat what other say.
User avatar (0030492)
vincent_sels (reporter)
2011-12-07 10:30

Also very interested. Would like to contribute, but will first need to learn how to use github... -_-
User avatar (0030507)
dregad (developer)
2011-12-07 19:26

You might want to check out the timecard plugin [1] written by jreese

[1] https://github.com/mantisbt-plugins/timecard [^]
User avatar (0030685)
AbsolutelyFreeWeb (reporter)
2011-12-24 04:34

timecard has created a new field time spent, while the initial field becomes total time. since the initial field was time spent earlier, the billing page will show estimated billing instead of spent billing like before.

that is suitable for some but not what I expected
User avatar (0030699)
vincent_sels (reporter)
2011-12-24 09:57

I'm creating my own project management plugin now: https://github.com/vincentsels/ProjectManagement [^]

For now it contains advanced time registring functionalities and some reports. Can be configured to use customizable 'types' of work (like business and functional analysis, development, testing, deployment,...).

I'm planning on adding more 'project management' functionalities:
- add notion of 'hourly rate' and 'hours per week' for users
- display timelines of projects with versions, tickets planned for that version with their estimates, done and todo,...
- add reports that display the tickets which are most overdue, interesting numbers per user,...

Some screenshots:

http://grab.by/bsq6 [^]

http://grab.by/bsq8 [^]

http://grab.by/bsq9 [^]

http://grab.by/bsqa [^]
User avatar (0030703)
AbsolutelyFreeWeb (reporter)
2011-12-26 06:11

very nice indeed =)
User avatar (0030817)
vincent_sels (reporter)
2012-01-05 19:47

Started working on the advanced roadmap page: http://grab.by/bvOT [^]
User avatar (0030823)
rombert (developer)
2012-01-06 03:17

(In reply to comment 0007945:0030817)
> Started working on the advanced roadmap page: http://grab.by/bvOT [^]

Looks nice!
User avatar (0030828)
tandler (reporter)
2012-01-06 08:44

Your plugin looks nice!

BTW: We have made an compact, aggregated view of the roadmap, so you can see all scheduled versions and the number of issues open / resolved / closed. It has some very simple way of guessing the completion date, by just adding all estimated durations (custom field of each issue), which is nevertheless somehow useful to get an idea of how well we are in time. I'll upload a screenshot in a second. We just had no time up to now to make this available.
User avatar (0030829)
vincent_sels (reporter)
2012-01-06 09:09

Gave it a more mantis-like look & feel: http://grab.by/bvXx [^]
Now going to work on grouping per resource, on a new branch.
User avatar (0031946)
rca (reporter)
2012-06-01 05:16

For a simple solution to manage Estimated time effort / Elapsed time effort based on Mantis BT custom fields, please check : https://github.com/embedia/mantisbt_workload [^]
User avatar (0031949)
dregad (developer)
2012-06-01 05:52

@rca, you should consider moving your plugin to the mantisbt-plugins repository. Please send a message to jreese on the mantisbt-dev mailing list to request that.
User avatar (0031953)
rca (reporter)
2012-06-01 07:16

@dregad : Thx for your proposal. I just sent a mail about it to mantisbt-dev mailing list.
User avatar (0032008)
atnz (reporter)
2012-06-04 18:50

Hi, We have been playing around with burndown etc and are using the attached spreadsheet. The Focus is on Project and then a version of the Project. Essentially we agree a block of items for a given version release, assign who is doing which ones, and export the data and then run it through this spreadsheet to determine completion dates of each task based on Prority, Assigned to, working time, and hours estimate. It's a bit crude, and we'd prefer it if it was al "in" Mantis, but hopefully someone else will find it helpful.

- Issue History
Date Modified Username Field Change
2007-05-09 08:59 jci000 New Issue
2007-05-14 06:18 jci000 Note Added: 0014518
2007-05-14 06:19 jci000 Sponsorship Added jci000: US$ 200
2007-05-14 06:19 jci000 Sponsorship Total 0 => 200
2007-05-14 06:37 sirshurf Note Added: 0014519
2007-05-14 08:08 onad Note Added: 0014520
2007-05-14 08:54 sirshurf Note Added: 0014525
2007-05-14 11:10 jci000 Note Added: 0014528
2007-05-14 11:39 sirshurf Note Added: 0014529
2007-05-14 11:50 sirshurf Note Added: 0014530
2007-05-15 05:39 jci000 Note Added: 0014537
2007-05-15 14:29 DGtlRift Relationship added related to 0004428
2007-05-18 07:32 jci000 Sponsorship Updated jci000: US$ 250
2007-05-18 07:32 jci000 Sponsorship Total 200 => 250
2007-05-21 02:11 jci000 Note Added: 0014565
2007-05-21 02:21 sirshurf Note Added: 0014566
2007-05-21 03:09 jci000 Note Added: 0014567
2007-05-21 05:37 jci000 Note Edited: 0014567
2007-05-21 16:18 jci000 Note Added: 0014580
2007-05-22 05:25 jotango Note Added: 0014588
2007-05-22 05:25 jotango Note Edited: 0014588
2007-05-23 04:44 sirshurf Note Added: 0014603
2007-05-23 04:45 sirshurf Note Added: 0014604
2007-05-23 05:04 jotango Note Added: 0014605
2007-05-23 05:17 jci000 Note Added: 0014606
2007-05-23 12:25 sirshurf Note Added: 0014612
2007-05-23 15:15 jci000 Note Added: 0014615
2007-05-24 01:49 sirshurf Note Added: 0014618
2007-05-24 01:58 jci000 Note Added: 0014619
2007-05-24 01:59 jci000 Note Edited: 0014619
2007-05-24 02:25 sirshurf Note Added: 0014620
2007-05-24 05:01 jotango Note Added: 0014624
2007-05-24 05:04 sirshurf Note Added: 0014625
2007-05-25 02:29 jci000 Sponsorship Updated jci000: US$ 260
2007-05-25 02:29 jci000 Sponsorship Total 250 => 260
2007-05-25 03:11 sirshurf Note Added: 0014633
2007-05-25 03:28 jotango Note Added: 0014634
2007-05-25 03:33 sirshurf Note Added: 0014635
2007-05-25 03:37 jci000 Note Added: 0014636
2007-05-25 04:25 sirshurf Note Added: 0014637
2007-05-25 05:34 jci000 Note Added: 0014638
2007-05-25 05:42 sirshurf Note Added: 0014639
2007-05-25 06:11 jci000 Note Added: 0014640
2007-05-31 14:05 jci000 Sponsorship Updated jci000: US$ 265
2007-05-31 14:05 jci000 Sponsorship Total 260 => 265
2007-06-06 03:04 jci000 Note Deleted: 0014640
2007-06-10 15:52 jci000 Sponsorship Updated jci000: US$ 270
2007-06-10 15:52 jci000 Sponsorship Total 265 => 270
2007-06-14 12:59 jci000 Note Added: 0014764
2007-06-26 03:39 sirshurf Note Added: 0014813
2007-06-26 04:10 jci000 Note Added: 0014814
2007-07-06 06:12 jci000 Note Added: 0014885
2007-09-10 06:45 rasmusskjoldan Note Added: 0015602
2007-09-10 15:05 jci000 Note Added: 0015604
2007-10-03 08:58 jci000 Sponsorship Deleted jci000: US$ 270
2007-10-03 08:58 jci000 Sponsorship Total 270 => 0
2007-10-03 09:01 jci000 Note Added: 0015799
2007-10-16 02:04 Ryan100 Note Added: 0015884
2008-02-16 16:22 tandler Tag Attached: project_management
2009-03-02 04:33 hansj Note Added: 0020969
2010-09-06 20:41 squarebox Note Added: 0026603
2011-08-08 11:01 ilsaul Note Added: 0029395
2011-12-07 10:30 vincent_sels Note Added: 0030492
2011-12-07 19:26 dregad Note Added: 0030507
2011-12-24 04:34 AbsolutelyFreeWeb Note Added: 0030685
2011-12-24 09:57 vincent_sels Note Added: 0030699
2011-12-26 06:11 AbsolutelyFreeWeb Note Added: 0030703
2011-12-29 09:31 rombert Description Updated View Revisions
2011-12-29 09:31 rombert Additional Information Updated View Revisions
2012-01-05 19:47 vincent_sels Note Added: 0030817
2012-01-06 03:17 rombert Note Added: 0030823
2012-01-06 08:44 tandler Note Added: 0030828
2012-01-06 08:45 tandler File Added: mantis-planning-plugin-oreview.jpg
2012-01-06 09:09 vincent_sels Note Added: 0030829
2012-02-21 03:14 dregad Relationship added related to 0009581
2012-06-01 05:16 rca Note Added: 0031946
2012-06-01 05:52 dregad Note Added: 0031949
2012-06-01 07:16 rca Note Added: 0031953
2012-06-04 18:46 atnz File Added: Final for testing v2.xlsm
2012-06-04 18:50 atnz Note Added: 0032008


MantisBT 1.2.17 [^]
Copyright © 2000 - 2014 MantisBT Team
Time: 0.1527 seconds.
memory usage: 3,421 KB
Powered by Mantis Bugtracker